curl --request GET \
--url https://services.leadconnectorhq.com/calendars/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"schedule": {
"id": "IkqiJlXJ7o9h61tCHHod",
"name": "Business Hours Schedule",
"locationId": "IkqiJlXJ7o9h61tCHHod",
"rules": [
{
"type": "wday",
"intervals": [
{
"from": "09:00",
"to": "17:00"
}
],
"date": "2023-04-15",
"day": "monday"
}
],
"timezone": "America/New_York",
"dateAdded": "2023-01-15T10:30:00.000Z",
"dateUpdated": "2023-01-20T14:45:00.000Z",
"userId": "IkqiJlXJ7o9h61tCHHod",
"deleted": false,
"calendarIds": [
"<string>"
]
}
}Retrieve a specific schedule by its unique identifier. Returns detailed information including rules, timezone, and associated calendars/users.
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"schedule": {
"id": "IkqiJlXJ7o9h61tCHHod",
"name": "Business Hours Schedule",
"locationId": "IkqiJlXJ7o9h61tCHHod",
"rules": [
{
"type": "wday",
"intervals": [
{
"from": "09:00",
"to": "17:00"
}
],
"date": "2023-04-15",
"day": "monday"
}
],
"timezone": "America/New_York",
"dateAdded": "2023-01-15T10:30:00.000Z",
"dateUpdated": "2023-01-20T14:45:00.000Z",
"userId": "IkqiJlXJ7o9h61tCHHod",
"deleted": false,
"calendarIds": [
"<string>"
]
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Unique identifier of the schedule
"IkqiJlXJ7o9h61tCHHod"
Schedule found and retrieved successfully
Show child attributes
Was this page helpful?